Basic VIN Decode API Documentation
Welcome to Vehicle Databases API's Documentation
Basic VIN Decode
GETJSON ResponseOverview
This API provides basic specifications including year, make, model, trim, engine specs, drivetrain and fuel types of any vehicle.
- COVERAGE
- This API supports VINs from 1981 to present and all vehicle types.
- SUPPORT
- Works for all 17 digit VINs based in US and Canada region.
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/vin-decode/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vin-decode/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"intro": {
"vin": "JTEDW21A860014011"
},
"basic": {
"make": "Toyota",
"model": "Highlander",
"year": "2006",
"trim": "STD",
"body_type": "Sport Utility Vehicle (SUV)/Multi-Purpose Vehicle (MPV)",
"vehicle_type": "Multipurpose Passenger Vehicle (MPV)",
"doors": "5",
"vehicle_size": "",
"seating_capacity": "7"
},
"engine": {
"cylinders": "6",
"engine_size": "3.3",
"engine_description": "3MZ-FE + 1JM, 2FM V-Shaped",
"engine_capacity": "3300.0",
"engine_configuration": "V-Shaped",
"electrification_level": "Strong HEV (Hybrid Electric Vehicle)"
},
"manufacturer": {
"manufacturer": "Toyota Motor Corporation",
"region": "Fukuoka",
"country": "Japan",
"plant_city": "Miyawaka"
},
"transmission": {
"transmission_style": ""
},
"restraint": {
"others": ""
},
"dimensions": {
"gvwr": "Class 1D: 5,001 - 6,000 lb (2,268 - 2,722 kg)"
},
"drivetrain": {
"drive_type": "4x2"
},
"fuel": {
"fuel_type": "Gasoline",
"secondary_fuel_type": "Electric"
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.